Google Web Toolkit (Beta)
Search this site:

# Class SerializableException

public class SerializableException
extends Exception
implements IsSerializable
Superclass for exceptions thrown from RPC methods (those appearing in interfaces derived from RemoteService).

## Constructors

SerializableException() | The default constructor.
SerializableException(String) | Constructs a serializable exception with the specified message.

## Methods

getCause() | Exception chaining is not currently supported for serialized exceptions.
getMessage() |
initCause(Throwable) | No effect; exception chaining is not currently supported for serialized exceptions.

## Constructor Detail

### SerializableException

public SerializableException()
The default constructor. This constructor is used implicitly during serialization or when constructing subclasses.

### SerializableException

public SerializableException(String msg)
Constructs a serializable exception with the specified message. This constructor is most often called by subclass constructors.

#### Parameters

msg

## Method Detail

### getCause

public Throwable getCause()
Exception chaining is not currently supported for serialized exceptions.

#### Return Value

always `null`

### getMessage

public String getMessage()

### initCause

public Throwable initCause(Throwable cause)
No effect; exception chaining is not currently supported for serialized exceptions.

#### Parameters

cause